Subject: FVWM: Still slight cosmetic problem with HGradient menus

From: John Latham <[email-masked]>
Date: Thu, 29 Aug 2002 19:55:51 +0100

This is probably one for Dominic...

You may recall a few weeks ago you fixed a bug in the menus when they have a
HGradient -- certain menu items left `up' after scanning over them? It works
much better now in 2.5.3, thanks very much, but I have noticed one little
imperfection that I didn't notice before. Say you put the pointer on a menu
item which causes a sub-menu to pop up. Then move the pointer up one place.
The sub-menu is cleared away, however, it also wipes off the bottom edge of
the 3D `up' relief of the item at the new pointer position (i.e. what was the
top of the 3D relief of the previous position). This `absent bottom' feature
is disabled if there is a NOP between the two items.

Here is a bit of ascii art in case my description is not clear.

-> marks pointer position

 I* are menu items

 --
[..] is 3d 1up' effect
 --

Before:

	 I1

	 I2
	 --
->	[I3] -> Sub-menu
	 --
	 I4

Then move the pointer up one place.

After:

	 I1
	 --
->	[I2]
	 
	 I3
	 
	 I4

MenuStyle settings:

MenuStyle * mwm
MenuStyle * Font *helvetica*medium-r*12*
MenuStyle * Greyed grey35
MenuStyle * Foreground #FFFFFF
MenuStyle * MenuFace HGradient 128 2 #D2E1F5 30 #2D61F5 70 #D2E1F5
MenuStyle * PopupAsRootMenu

Best wishes, John Latham
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].